<div class="main">
  <div class="formcontainer">
    <img
      alt="Pay My Buddy"
      style="width: 50%; margin: 30px auto"
      src="../../../assets/img/logo.png" />

    <div class="name">
      <div class="p-inputgroup first">
        <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
        <input
          type="text"
          pInputText
          placeholder="First name"
          [(ngModel)]="subscriber.firstName" />
      </div>
      <input
        type="text"
        pInputText
        placeholder="Last name"
        [(ngModel)]="subscriber.lastName" />
    </div>
    <div class="p-inputgroup">
      <span class="p-inputgroup-addon"><i class="pi pi-envelope"></i></span>
      <input
        type="text"
        pInputText
        placeholder="E-mail"
        [(ngModel)]="subscriber.mail" />
    </div>
    <div class="p-inputgroup">
      <span class="p-inputgroup-addon"><i class="pi pi-key"></i></span>
      <input
        type="password"
        pInputText
        placeholder="Password"
        [(ngModel)]="subscriber.password" />
    </div>
    <div class="bot">
      <div class="btn">
        <button
          pButton
          type="button"
          label="Subscribe"
          (click)="subscribe()"></button>
      </div>
      <div class="subscribe">
        <p>
          <a [routerLink]="'/login'" class="link">Back to login page</a>
        </p>
      </div>
    </div>
  </div>
</div>
